Name:       nsjail
Version:    3.0
Release:    1%{?dist}
Summary:    A light-weight process isolation tool
License:    Apache-2.0
URL:        https://nsjail.com
Source0:    https://github.com/google/nsjail/archive/%{version}.tar.gz#/nsjail-%{version}.tar.gz
Source1:    kafel.tar.gz

BuildRequires:  autoconf
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  git-core
BuildRequires:  glibc-devel
BuildRequires:  libnl3-devel
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  protobuf-devel

%description
A light-weight process isolation tool, making use of Linux namespaces and
seccomp-bpf syscall filters (with help of the kafel bpf language)

%prep
%setup -a1

%build
%define _lto_cflags %{nil}
export CFLAGS="%{optflags}"
export CXXFLAGS="$CFLAGS"
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}/%{_bindir}/
cp nsjail %{buildroot}/%{_bindir}/
mkdir -p %{buildroot}/%{_sysconfdir}/%{name}
install -m 644 configs/*.cfg %{buildroot}/%{_sysconfdir}/%{name}

%files
%license LICENSE
%{_bindir}/nsjail
%{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/xchat-with-net.cfg
%config %{_sysconfdir}/%{name}/znc-with-net.cfg
%config %{_sysconfdir}/%{name}/apache.cfg
%config %{_sysconfdir}/%{name}/bash-with-fake-geteuid.cfg
%config %{_sysconfdir}/%{name}/demo-dont-use-chrome-with-net.cfg
%config %{_sysconfdir}/%{name}/firefox-with-cloned-net.cfg
%config %{_sysconfdir}/%{name}/firefox-with-net.cfg
%config %{_sysconfdir}/%{name}/home-documents-with-xorg-no-net.cfg
%config %{_sysconfdir}/%{name}/imagemagick-convert.cfg
%config %{_sysconfdir}/%{name}/static-busybox-with-execveat.cfg
%config %{_sysconfdir}/%{name}/tomcat8.cfg

%changelog
* Thu Sep 29 15:48:41 MSK 2020 Yury Martynov <email@linxon.ru> - 3.0-1
- Initial package
